Public Member Functions

# SERefList Class Reference

SERefList represents a list of SEReference objects. More...

`#include <skype-ref-list.h>`

List of all members.

## Public Member Functions
| SERefList ()
| SERefList (const SERefList &sl)
| ~SERefList ()
void | push_back (const SEReference &ref)
SERefList & | append (const SEReference &ref)
SEReference & | peek ()
size_t | size () const
SEReference & | operator[] (size_t n) const
SERefList & | operator= (const SERefList &sl)
bool | contains (const SEReference &val)
bool | remove_val (const SEReference &val)
bool | remove_pos (const unsigned int pos)
int | find_pos (const SEReference &val)
void | resize (const unsigned int new_size)
void | clear ()

## Detailed Description

SERefList represents a list of SEReference objects.

The operator [] is supported, which can be used to go through the list.

Definition at line 15 of file skype-ref-list.h.

## Constructor & Destructor Documentation

SERefList::SERefList | ( |  | ) |

Creates an empty list of references.

Definition at line 37 of file skype-ref-list.cpp.

SERefList::SERefList | ( | const SERefList & | sl | ) |

Constructs an implicitly shared copy of sl.

Definition at line 42 of file skype-ref-list.cpp.

SERefList::~SERefList | ( |  | ) |

Destroys the list and frees the data if this is the last reference to the list.

Definition at line 48 of file skype-ref-list.cpp.

## Member Function Documentation

SERefList & SERefList::append | ( | const SEReference & | ref | ) |

Appends a ref at the end of the list.

Definition at line 68 of file skype-ref-list.cpp.

void SERefList::clear | ( |  | ) |

Definition at line 365 of file skype-ref-list.cpp.

References size().

bool SERefList::contains | ( | const SEReference & | val | ) |

Definition at line 319 of file skype-ref-list.cpp.

References find_pos().

int SERefList::find_pos | ( | const SEReference & | val | ) |

Definition at line 307 of file skype-ref-list.cpp.

References size().

SERefList & SERefList::operator= | ( | const SERefList & | sl | ) |

Assigns a shallow copy of sl to this list and returns a reference to it. This is very fast because the list isn't actually copied.

Definition at line 159 of file skype-ref-list.cpp.

SEReference & SERefList::operator[] | ( | size_t | n | ) | const

Returns the ref specified by its index.

Definition at line 151 of file skype-ref-list.cpp.

References empty, and size().

SEReference & SERefList::peek | ( |  | ) |

Removes the first element from the list and returns it.

Definition at line 88 of file skype-ref-list.cpp.

References empty.

void SERefList::push_back | ( | const SEReference & | ref | ) | `[inline]`

Appends a ref at the end of the list.

Definition at line 33 of file skype-ref-list.h.

References append().

bool SERefList::remove_pos | ( | const unsigned int | pos | ) |

Definition at line 333 of file skype-ref-list.cpp.

References size().

bool SERefList::remove_val | ( | const SEReference & | val | ) |

Definition at line 324 of file skype-ref-list.cpp.

References find_pos(), and remove_pos().

void SERefList::resize | ( | const unsigned int | new_size | ) |

Definition at line 265 of file skype-ref-list.cpp.

References clear(), and size().

size_t SERefList::size | ( |  | ) | const

Returns the size of the list.

Definition at line 113 of file skype-ref-list.cpp.

The documentation for this class was generated from the following files:

- skype-ref-list.h
- skype-ref-list.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines

(c) Skype Technologies S.A. Confidential/Proprietary

Last updated: Fri Mar 16 2012